svn commit: r355770 - user/pho/stress2/misc
Peter Holm
pho at FreeBSD.org
Sun Dec 15 05:50:56 UTC 2019
Author: pho
Date: Sun Dec 15 05:50:56 2019
New Revision: 355770
URL: https://svnweb.freebsd.org/changeset/base/355770
Log:
Added one more tmpfs(5) test scenario.
Added:
user/pho/stress2/misc/tmpfs19.sh (contents, props changed)
Added: user/pho/stress2/misc/tmpfs19.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ user/pho/stress2/misc/tmpfs19.sh Sun Dec 15 05:50:56 2019 (r355770)
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+#
+# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
+#
+# Copyright (c) 2018 Dell EMC Isilon
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Write a large file to a tmpfs FS
+# Test scenario suggestion by kib@
+
+# Thread stuck in vmwait seen:
+# https://people.freebsd.org/~pho/stress/log/jeff138.txt
+
+. ../default.cfg
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+size=`sysctl -n hw.usermem`
+
+mount | grep "on $mntpoint " && umount -f $mntpoint
+mount -o size=$size -t tmpfs tmpfs $mntpoint
+
+size=$((size / 1024 / 1024))
+size=$((size - 5))
+echo "dd if=/dev/zero of=$mntpoint/file bs=1m count=$size"
+dd if=/dev/zero of=$mntpoint/file bs=1m count=$size status=none
+timeout 1m find `dirname $diskimage` -ls > /dev/null 2>&1
+
+for i in `jot 6`; do
+ mount | grep -q "on $mntpoint " || break
+ umount $mntpoint && break || sleep 10
+ [ $i -eq 6 ] &&
+ { echo FATAL; fstat -mf $mntpoint; exit 1; }
+done
+exit 0
More information about the svn-src-user
mailing list